Bug 1805643 - [RFE] purge-container-cluster: support OSDs with 3 digits
Summary: [RFE] purge-container-cluster: support OSDs with 3 digits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.1
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: rc
: 4.1
Assignee: Guillaume Abrioux
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks: 1816167
TreeView+ depends on / blocked
 
Reported: 2020-02-21 09:35 UTC by Dariusz Wojewódzki
Modified: 2020-05-19 17:32 UTC (History)
12 users (show)

Fixed In Version: ceph-ansible-4.0.16-1.el8, ceph-ansible-4.0.16-1.el7
Doc Type: Enhancement
Doc Text:
.`purge-container-cluster.yml` playbook now supports clusters with three-digit IDs Previously, `purge-container-cluster` only supported {product} clusters with up to 99 OSDs. This is because the playbook supported ceph-osd services with two-digit indices. With this update, you can properly purge clusters with three-digit IDs.
Clone Of:
Environment:
Last Closed: 2020-05-19 17:32:27 UTC
Target Upstream Version:
hyelloji: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 5087 0 None closed common: support OSDs with more than 2 digits 2020-11-30 12:09:21 UTC
Red Hat Product Errata RHSA-2020:2231 0 None None None 2020-05-19 17:32:56 UTC

Description Dariusz Wojewódzki 2020-02-21 09:35:45 UTC
Description of problem:
purge-container-cluster can not stop ceph-osd services with 3 digit index


purge-container-cluster.yml playbook can find only OSDs service with just 2 numerals,  
I have with 3 and the playbook can not stop service’s and can’t remove vg. 

https://github.com/ceph/ceph-ansible/blob/36175435174cb3f135575155a46d1599a835e818/infrastructure-playbooks/purge-container-cluster.yml#L254


Version-Release number of selected component (if applicable):
ceph-ansible v 4.0.14-1

Comment 13 errata-xmlrpc 2020-05-19 17:32:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2231


Note You need to log in before you can comment on or make changes to this bug.